> ## Documentation Index
> Fetch the complete documentation index at: https://resq-dependabot-github-actions-github-actions-478e18be3d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /uploadImage

> Handles multipart/form-data uploads for image files.
Uploaded files are intended to be pinned to IPFS.



## OpenAPI

````yaml /specs/infrastructure.json post /uploadImage
openapi: 3.1.0
info:
  title: resq-api
  description: ''
  license:
    name: Apache-2.0
    identifier: Apache-2.0
  version: 0.1.0
servers: []
security: []
tags:
  - name: resq-backend
    description: ResQ Infrastructure API
  - name: auth
    description: Authentication endpoints
  - name: incidents
    description: Incident management endpoints
  - name: evidence
    description: Evidence management endpoints
  - name: blockchain
    description: Blockchain query endpoints
  - name: solana
    description: Solana program endpoints (PoD + airspace)
paths:
  /uploadImage:
    post:
      tags:
        - resq-backend
      summary: POST /uploadImage
      description: |-
        Handles multipart/form-data uploads for image files.
        Uploaded files are intended to be pinned to IPFS.
      operationId: upload_image
      requestBody:
        description: Image file to upload
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FileUpload'
        required: true
      responses:
        '200':
          description: Image uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResponse'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    FileUpload:
      type: object
      description: Multipart file upload schema for `OpenAPI`.
      required:
        - file
      properties:
        file:
          type: string
          format: binary
          description: The file to be uploaded.
    UploadResponse:
      type: object
      description: Response payload for file uploads.
      required:
        - cid
      properties:
        cid:
          type: string
          description: Content Identifier (CID) of the uploaded file on IPFS.

````